Generate Auth Token

API Explorer
https://auth.ipospays.tech/v1/authenticate-token
POST

Use this endpoint to generate a new JWT-based access token using your API Key, Secret Key, and Scope.

Steps to Generate Keys on iPOSpays

  1. Log in to the iPOSpays portal using an ISO Admin account

  2. Go to: Settings → Generate API & Secret Key

  3. Under the Generate Keys section:

    • Click Generate Keys

    • Click the Copy icon to copy the keys

    • Click Reset Secret Key if you wish to regenerate the Secret Key

  4. Use the generated API and Secret Key for API authentication

Refer to the iPOSpays Authentication Token API to learn More .

Header Parameters

apiKey*string

The apiKey can be generated from the iPOSpays portal using an ISO, Agent Office, and Merchant Admin account. These keys are required for authentication.

secretKey*string

The secret key can be generated from the iPOSpays portal using an ISO, Agent Office, and Merchant Admin account. These keys are required for authentication.

TokenExpiryMinutes?integer

Custom token expiry time in minutes. Minimum value is 30 minutes, maximum value is 24 hours (1440 minutes).

Range30 <= value <= 1440

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com" \  -H "apiKey: your_api_key_here" \  -H "secretKey: your_secret_key_here" \  -H "TokenExpiryMinutes: 1440"
{
  "responseCode": "00",
  "responseMessage": "Success",
  "createdDt": "1749532846158",
  "token": "eyJhbGciOiJSUzI1NiJ9.eyJzY29wZSI6InBheW1lbnRUb2tlbml6ZSIsInVuaXF1ZUlkIjoiNzQxYzFiM2YtMTUyYS0xMWYwLWI3YTMtMTZhOTc1NjBiMjc1IiwiaWF0IjoxNzQ4ODA3NzAyLCJleHAiOjE3NDQ4OTQxMDJ9..."
}

{
  "errorCode": "AUTH_ERR_001",
  "errorMessage": "API Key is required."
}

{
  "errorCode": "AUTH_ERR_004",
  "errorMessage": "Invalid Credentials, Please Contact Support Team."
}